Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.lang
Class VariableMapperImpl

    java.lang.Object
      javax.el.VariableMapper
          org.apache.el.lang.VariableMapperImpl

All Implemented Interfaces:
  Externalizable, Serializable

    public class VariableMapperImpl

extends VariableMapper
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`VariableMapperImpl()`

Method Summary
`void` | `readExternal(ObjectInput in)`
`ValueExpression` | `resolveVariable(String variable)`
`ValueExpression` | `setVariable(String variable, ValueExpression expression)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableMapperImpl

    public VariableMapperImpl()

Method Detail

### resolveVariable

    public ValueExpression resolveVariable(String variable)

  Specified by:
    `resolveVariable` in class `VariableMapper`

### setVariable

    public ValueExpression setVariable(String variable,
                                       ValueExpression expression)

  Specified by:
    `setVariable` in class `VariableMapper`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.